%define upstream_name    Unicode-UTF8
%define upstream_version 0.55

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Encoding and decoding of UTF-8 encoding form
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
This module provides functions to encode and decode UTF-8 encoding form as
specified by Unicode and ISO/IEC 10646:2011.

Here is a summary of features for comparison with the Encode manpage's
UTF-8 implementation:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Feb 21 2012 kharec <kharec> 0.550.0-1.mga2
+ Revision: 211740
- update to 0.55

* Thu Nov 24 2011 kharec <kharec> 0.530.0-1.mga2
+ Revision: 171593
- update to 0.53

* Wed Nov 23 2011 kharec <kharec> 0.520.0-1.mga2
+ Revision: 171187
- update to 0.52

* Tue Nov 22 2011 kharec <kharec> 0.510.0-1.mga2
+ Revision: 171011
- imported package perl-Unicode-UTF8


* Tue Nov 22 2011 cpan2dist 0.51-1mga
- initial mageia release, generated with cpan2dist
